# Visualization
TKV3d
DsgPrs

# DsgPrs_ShadedPlanePresentation Class Reference

A framework to define display of shaded planes.
.

`#include <DsgPrs_ShadedPlanePresentation.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | Add (const Handle(Prs3d_Presentation)&aPresentation, const Handle(Prs3d_Drawer)&aDrawer, const gp_Pnt &aPt1, const gp_Pnt &aPt2, const gp_Pnt &aPt3)
| Adds the points aPt1, aPt2 and aPt3 to the presentation object, aPresentation. The display attributes of the shaded plane are defined by the attribute manager aDrawer. .

## Member Function Documentation

static Standard_EXPORT void DsgPrs_ShadedPlanePresentation::Add | ( | const Handle(Prs3d_Presentation)& | aPresentation,
|  | const Handle(Prs3d_Drawer)& | aDrawer,
|  | const gp_Pnt & | aPt1,
|  | const gp_Pnt & | aPt2,
|  | const gp_Pnt & | aPt3
| ) | `[static]`

void DsgPrs_ShadedPlanePresentation::operator delete | ( | void * | anAddress | ) | `[inline]`

void* DsgPrs_ShadedPlanePresentation::operator new | ( | size_t | size | ) | `[inline]`

void* DsgPrs_ShadedPlanePresentation::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- DsgPrs_ShadedPlanePresentation.hxx